libsidplayfp::SystemRAMBank Class Referencefinal

`#include <SystemRAMBank.h>`

Inheritance diagram for libsidplayfp::SystemRAMBank:

## Public Member Functions

void | reset ()
uint8_t | peek (uint_least16_t address) override
void | poke (uint_least16_t address, uint8_t value) override

## Friends

class | MMU

## Detailed Description

Area backed by RAM.

## Member Function Documentation

## peek()

uint8_t libsidplayfp::SystemRAMBank::peek | ( | uint_least16_t | address | ) |

inline override virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements libsidplayfp::Bank.

## poke()

void libsidplayfp::SystemRAMBank::poke | ( | uint_least16_t | address,
|  | uint8_t | value )

inline override virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements libsidplayfp::Bank.

## reset()

void libsidplayfp::SystemRAMBank::reset | ( |  | ) |

inline

Initialize RAM with powerup pattern.

$0000: 00 00 ff ff ff ff 00 00 00 00 ff ff ff ff 00 00 ... $4000: ff ff 00 00 00 00 ff ff ff ff 00 00 00 00 ff ff ... $8000: 00 00 ff ff ff ff 00 00 00 00 ff ff ff ff 00 00 ... $c000: ff ff 00 00 00 00 ff ff ff ff 00 00 00 00 ff ff

The documentation for this class was generated from the following file:

- SystemRAMBank.h